API документація
Create Beneficiary
post
/api/v1/Psp/beneficiariesRegisters a withdrawal bank account. It starts disabled: confirm it with the user's PIN ({enable}) or the one-time code sent to them ({verify-otp}). Some bank accounts are also checked before they can be paid.
Psp
Параметри
provider
query · string
Необов'язково
version
path · string
Обов'язковий
Текст запиту
{
"contactType": 1,
"currency": "USD",
"firstName": "Alex",
"lastName": "Morgan",
"email": "alex@example.com",
"legalName": "Alex Morgan",
"isCompany": true,
"defaultReference": "Example",
"bankIban": "Example",
"bankBic": "Example",
"intermediaryBankBic": "Example",
"intermediaryBankAccount": "Example",
"bankSortCode": "Example",
"bankAccountNumber": "Example",
"paymentRail": "Example",
"bankRoutingNumber": "Example",
"bankName": "Alex Morgan",
"bankAddress": "Example",
"bankCountry": "Example",
"beneficiaryCountry": "Example",
"beneficiaryAddressLine1": "Example",
"beneficiaryAddressLine2": "Example",
"beneficiaryCity": "Example",
"beneficiaryPostCode": "Example",
"internalUserId": "1001",
"internalAccountId": 1001,
"cryptoAddress": "Example",
"cryptoNetwork": "Example",
"cryptoMemo": "Example"
}Відповіді
- 200The new bank account.application/json
{ "id": "2b7d9e41-8c3a-4f6b-a215-7c9e0d3f5a18", "name": "Jane Smith", "currency": { "value": "EUR" }, "createdDate": "2026-10-16T09:00:00Z", "isCompanyContact": false, "isEnabled": false, "identifiers": [ { "name": "Rail", "value": "SEPA" }, { "name": "IBAN", "value": "DE89370400440532013000" }, { "name": "BIC", "value": "COBADEFFXXX" } ], "approvalStatus": "pending" } - 400The bank account was refused. The body is a message to show the user.application/json
"Example"
- 401Not authenticated.application/json
{ "type": "Deposit", "title": "Example", "status": 1, "detail": "The request could not be completed. Check the values and try again.", "instance": "Example" } - 404Unknown method, or it does not use registered bank accounts.application/json
{ "type": "Deposit", "title": "Example", "status": 1, "detail": "The request could not be completed. Check the values and try again.", "instance": "Example" }